Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Surfshark VPN Manager σε SDG10

  1. #1
    deepbluesky's Avatar
    Join Date
    May 2013
    Location
    Stuttgart (48.79N/9.19E)
    Age
    49
    Posts
    477
    Rep Power
    0

    Surfshark VPN Manager σε SDG10

    Οπως στο SDG8 δουλευω με Surfshark VPN Manager πηγα να εγκαταστησω στο SDG10 την py3 εκδοση:
    enigma2-plugin-extensions-surfsharkvpn_1.0.9-py3_all.ipk

    Code:
    root@sf8008:~# opkg update
    Downloading http://188.165.252.42/feeds/satdreamgr-10/all/Packages.gz.
    Updated source 'satdreamgr-all'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/armv7ahf-neon/Packages.gz.
    Updated source 'satdreamgr-armv7ahf-neon'.
    Downloading http://188.165.252.42/feeds/picons/Packages.gz.
    Updated source 'picons'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/sf8008/Packages.gz.
    Updated source 'satdreamgr-sf8008'.
    root@sf8008:~# opkg install /tmp/*.ipk
    Installing openresolv (3.13.1) on root
    Downloading http://188.165.252.42/feeds/satdreamgr-10/all/openresolv_3.13.1-r0_all.ipk.
    Installing kernel-module-tun (4.4.35) on root
    Downloading http://188.165.252.42/feeds/satdreamgr-10/sf8008/kernel-module-tun_4.4.35-r25_sf8008.ipk.
    Installing openvpn (2.5.2) on root
    Downloading http://188.165.252.42/feeds/satdreamgr-10/armv7ahf-neon/openvpn_2.5.2-r0_armv7ahf-neon.ipk.
    Installing enigma2-plugin-extensions-surfsharkvpn (1.0.9) on root
    Configuring kernel-module-tun.
    Configuring openvpn.
     Adding system startup for /etc/init.d/openvpn.
    Starting openvpn:.
    Configuring openresolv.
    Configuring enigma2-plugin-extensions-surfsharkvpn.
    Δεν βλεπω κανενα σφαλμα οποτε εδωσα ενα reboot και κει ο δεκτης κολλησε.
    Μετα απο off/on πισω ξεκινησε και εμφανησε το plugin με τα login data ομως δεν δουλευει.
    Προσπαθει κανα λεπτο να συνδεθει σε οποιονδιποτε server ορισω αλλα δεν.

    Τι γινεται τωρα που χωρις VPN εδω πανω απλα η κατασταση ειναι τραγικη;

  2. #2

    georgeflu's Avatar
    Join Date
    Jan 2011
    Location
    ptolemaida
    Age
    44
    Posts
    12,476
    Rep Power
    4347344

    Re: Surfshark VPN Manager σε SDG10

    θα σου απαντησω... οτι προχωπικα δεν εχω ασχοληθει με vpn (μια μικρη αποπειρα εμεινε στις δοκιμες) , αλλα υπαρχουν αναφορες για το wireguard plugin (δεν θυμαμαι αν και το vpn manager) ειναι οκ.
    δεν ξερω αν μεσω του wireguard, μπορεις να βαλεις τους κωδικους του δικου σου παροχου... (και επειδη δεν προλαβαινω να ψαψω αμεσα, την εκδοση για python 3.9.9 openpli)
    ολα ειναι FLU

    Member SatDreamGr Projects

  3. #3
    deepbluesky's Avatar
    Join Date
    May 2013
    Location
    Stuttgart (48.79N/9.19E)
    Age
    49
    Posts
    477
    Rep Power
    0

    Απ: Surfshark VPN Manager σε SDG10

    Με VPN Manager δουλευα παλιοτερα και δεν θυμαμαι τον λογο που επελεξα το Surfshark VPN. Ισως να ηταν πιο ελαφρυ στον SF4008.
    Τωρα βεβαια στον SF8008 και πλεον με python 3 OpenPLi based image οπως το SDG10 οι συνθηκες αλλαζουν καθως απ' οτι καταλαβα στα OpenPLi δεν υποστηριζουν τα VPN.

    Η προσπαθεια να εγκαταστησω το enigma2-plugin-extensions-vpnmanager_1.1.7-py3_all.ipk μου βγαζει τα ακολουθα:

    Code:
    root@sf8008:~# opkg update && opkg install /tmp/*.ipk
    Downloading http://188.165.252.42/feeds/satdreamgr-10/all/Packages.gz.
    Updated source 'satdreamgr-all'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/armv7ahf-neon/Packages.gz.
    Updated source 'satdreamgr-armv7ahf-neon'.
    Downloading http://188.165.252.42/feeds/picons/Packages.gz.
    Updated source 'picons'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/sf8008/Packages.gz.
    Updated source 'satdreamgr-sf8008'.
     * Solver encountered 1 problem(s):
     * Problem 1/1:
     *   - conflicting requests
     *   - nothing provides python3-future needed by enigma2-plugin-extensions-vpnmanager-1.1.7-py3.all
     *
     * Solution 1:
     *   - do not ask to install enigma2-plugin-extensions-vpnmanager-1.1.7-py3.all
    Μηπως θελει απεγκατασταση του Surfshark VPN και αν ναι πως;

  4. #4

    georgeflu's Avatar
    Join Date
    Jan 2011
    Location
    ptolemaida
    Age
    44
    Posts
    12,476
    Rep Power
    4347344

    Re: Surfshark VPN Manager σε SDG10

    βρηκα μια ενοτητα που ειχε συζητηθει θεματακι με vpn και sdg10, και ενα ευχαριστω στον φιλο @giorbak για τις λεπτομερειες,





    φαινεται να δουλευουν κανονικα με το wireguard plugin, λογικα στον provider θα επιλεξεις τον δικο σου...
    Attached Files Attached Files
    ολα ειναι FLU

    Member SatDreamGr Projects

  5. #5
    deepbluesky's Avatar
    Join Date
    May 2013
    Location
    Stuttgart (48.79N/9.19E)
    Age
    49
    Posts
    477
    Rep Power
    0

    Απ: Surfshark VPN Manager σε SDG10

    Ωραια, λοιπον εγκατεστησα το Wireguard VPN ομως δεν εμφανιζεται στα plugins:

    Code:
    root@sf8008:~# opkg update && opkg install /tmp/*.ipk
    Downloading http://188.165.252.42/feeds/satdreamgr-10/all/Packages.gz.
    Updated source 'satdreamgr-all'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/armv7ahf-neon/Packages.gz.
    Updated source 'satdreamgr-armv7ahf-neon'.
    Downloading http://188.165.252.42/feeds/picons/Packages.gz.
    Updated source 'picons'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/sf8008/Packages.gz.
    Updated source 'satdreamgr-sf8008'.
    Installing enigma2-plugin-extensions-wireguard-vpn (7.6) on root
    *****************************************
    *              Wireguard VPN            *
    *        is now being installed...      *
    *****************************************
    Configuring enigma2-plugin-extensions-wireguard-vpn.
    *****************************************
    *              Wireguard VPN            *
    *            Code by Madhouse           *
    *****************************************
    
    *****************************************
    *        Wireguard VPN Installed        *
    *****************************************
    *****************************************
    *        Please restart the Gui         *
    *****************************************
    root@sf8008:~#

  6. #6

    georgeflu's Avatar
    Join Date
    Jan 2011
    Location
    ptolemaida
    Age
    44
    Posts
    12,476
    Rep Power
    4347344

    Re: Surfshark VPN Manager σε SDG10

    δεν ξερω τι μπορει να του φταιει...
    απλως ξερω, οτι οσο εμεις το συζηταμε, ο δημιουργος του plugin εχει βγαλει νεα και οσο το δυνατον πιο συμβατη εκδοση με τα νεωτερα λογισμικα, οποτε κανε εναν κοπο και δοκιμασε και αυτο (που ελπιζω να μη βγαλει σφαλματα/ελειψεις σε εξαρτησεις)

    ps ειναι η εκδοση με συμβατα image σε python 3.9
    Attached Files Attached Files
    ολα ειναι FLU

    Member SatDreamGr Projects

  7. #7
    deepbluesky's Avatar
    Join Date
    May 2013
    Location
    Stuttgart (48.79N/9.19E)
    Age
    49
    Posts
    477
    Rep Power
    0

    Απ: Surfshark VPN Manager σε SDG10

    Α υπεθεσα πως ειναι ηδη η τελευταια εκδοση.
    Πρεπει να απεγκαταστησω την προηγουμενη και αν ναι πως;

  8. #8
    deepbluesky's Avatar
    Join Date
    May 2013
    Location
    Stuttgart (48.79N/9.19E)
    Age
    49
    Posts
    477
    Rep Power
    0

    Απ: Surfshark VPN Manager σε SDG10

    Ok το ρισκαρα:

    Code:
    root@sf8008:~# opkg update && opkg install /tmp/*.ipk
    Downloading http://188.165.252.42/feeds/satdreamgr-10/all/Packages.gz.
    Updated source 'satdreamgr-all'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/armv7ahf-neon/Packages.gz.
    Updated source 'satdreamgr-armv7ahf-neon'.
    Downloading http://188.165.252.42/feeds/picons/Packages.gz.
    Updated source 'picons'.
    Downloading http://188.165.252.42/feeds/satdreamgr-10/sf8008/Packages.gz.
    Updated source 'satdreamgr-sf8008'.
    Upgrading enigma2-plugin-extensions-wireguard-vpn (7.6) to enigma2-plugin-extensions-wireguard-vpn (10.0) on root
    *****************************************
    *              Wireguard VPN            *
    *        is now being installed...      *
    *****************************************
    *****************************************
    *         Wireguard Vpn removed         *
    *****************************************
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/el.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/el failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/es.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/es failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd/speedtest.xml.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd/speedtest.xml failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/ConfigFile.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/ConfigFile failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/it.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/it failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd/icons.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd/icons failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/pt/LC_MESSAGES.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/pt/LC_MESSAGES failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd/speedtest.xml.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd/speedtest.xml failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/pt.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/pt failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/fonts.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/fonts failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd/icons.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd/icons failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/es/LC_MESSAGES.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/es/LC_MESSAGES failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/it/LC_MESSAGES.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/it/LC_MESSAGES failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd/buttons.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd/buttons failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/Country.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/Country failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/iconsload.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/iconsload failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/de/LC_MESSAGES.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/de/LC_MESSAGES failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/fhd failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/el/LC_MESSAGES.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/el/LC_MESSAGES failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/de.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/locale/de failed: No such file or directory.
    Removing obsolete file /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd/buttons.
     * remove_obsolesced_files: unlinking /usr/lib/enigma2/python/Plugins/Extensions/Wireguard/skin/hd/buttons failed: No such file or directory.
     * opkg_install_pkg: Failed to determine obsolete files from previously installed enigma2-plugin-extensions-wireguard-vpn
    Configuring enigma2-plugin-extensions-wireguard-vpn.
    *****************************************
    *              Wireguard VPN            *
    *            Code by Madhouse           *
    *****************************************
    
    *****************************************
    *        Wireguard VPN Installed        *
    *****************************************
    *****************************************
    *        Please restart the Gui         *
    *****************************************
    root@sf8008:~#
    Τωρα εμφανιζεται στο menu αλλα μου βγαζει
    Sorry wrong image found in flash. You need to flash Egami | OpenAtv | OpenViX | OpenBlackHole | OpenPLi

  9. #9
    deepbluesky's Avatar
    Join Date
    May 2013
    Location
    Stuttgart (48.79N/9.19E)
    Age
    49
    Posts
    477
    Rep Power
    0

    Απ: Surfshark VPN Manager σε SDG10

    Σε OpenPLi 9.0 εγκατασταθηκε και τρεχει μεχρι στιγμης χωρις προβλημα.
    Ελπιζω να βρεθει λυση για το SDG10.

  10. #10

    georgeflu's Avatar
    Join Date
    Jan 2011
    Location
    ptolemaida
    Age
    44
    Posts
    12,476
    Rep Power
    4347344

    Re: Απ: Surfshark VPN Manager σε SDG10

    Quote Originally Posted by deepbluesky View Post
    Α υπεθεσα πως ειναι ηδη η τελευταια εκδοση.
    Πρεπει να απεγκαταστησω την προηγουμενη και αν ναι πως;
    η τελευταια δεν μπορει να ειναι, λογω του οτι πολλες ομαδες εχουν προχωρησει σε python 3.1X ,ενω pli, εμεις και αλλες εχουν μεινει σε 3.9.Χ
    με το wireguard10, εβγαλε νεα εκδοση που να παιζει pli, αλλα δυστυχως κανει αναγνωριση και μας "κοβει" .

    στον λιγο χρονο μου, φλασαρα ενα καθαρο 10, και εβαλα την wireguard 7.5 (αφου ειχα και απο εσενα την αναφορα για τα αλλα) και αυτο φαινεται και φορτωνει κανονικα (δεν ξερω για παραπερα λειτουργεια...)



    ολα ειναι FLU

    Member SatDreamGr Projects

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. SDG10: δεν ξεκιναει
    By deepbluesky in forum SF8008
    Replies: 2
    Last Post: 20-05-24, 23:18
  2. VPN Manager
    By deepbluesky in forum Enigma2 Plugins ΟΕ 2.0
    Replies: 6
    Last Post: 01-09-22, 02:19
  3. LSK Cam Manager
    By korn in forum Enigma2 Plugins ΟΕ 2.0
    Replies: 0
    Last Post: 19-10-11, 09:03
  4. Οδηγός εγκατάστασης Emu Manager
    By devilcosta in forum Εγχειρίδια Dream E2
    Replies: 1
    Last Post: 27-05-11, 22:15

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •